Bug 1727744 (CVE-2019-13345) - CVE-2019-13345 squid: XSS via user_name or auth parameter in cachemgr.cgi
Summary: CVE-2019-13345 squid: XSS via user_name or auth parameter in cachemgr.cgi
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-13345
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1727745 1729435 1729436
Blocks: 1727747
TreeView+ depends on / blocked
 
Reported: 2019-07-08 05:50 UTC by Dhananjay Arunesh
Modified: 2020-03-31 19:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-06 00:52:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3476 None None None 2019-11-05 20:59:34 UTC
Red Hat Product Errata RHSA-2020:1068 None None None 2020-03-31 19:20:10 UTC

Description Dhananjay Arunesh 2019-07-08 05:50:34 UTC
A vulnerability was found in cachemgr.cgi web module of Squid through 4.7 has XSS via the user_name or auth parameter. 

Reference:
https://bugs.squid-cache.org/show_bug.cgi?id=4957 
https://github.com/squid-cache/squid/pull/429

Comment 1 Dhananjay Arunesh 2019-07-08 05:50:46 UTC
Created squid tracking bugs for this issue:

Affects: fedora-all [bug 1727745]

Comment 2 Stefan Cornelius 2019-07-12 09:22:56 UTC
The cachemgr.cgi is not used by default. You are only affected if you've set this up manually.

Comment 3 Stefan Cornelius 2019-07-12 09:22:58 UTC
Statement:

This issue affects the versions of squid as shipped with Red Hat Enterprise Linux 5, 6, 7, and 8.

Red Hat Enterprise Linux 5 is now in Extended Life Phase of the support and maintenance life cycle. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Red Hat Enterprise Linux 6 is now in Maintenance Support 2 Phase of the support and maintenance life cycle. This has been rated as having a security impact of Moderate, and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 6 errata-xmlrpc 2019-11-05 20:59:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3476 https://access.redhat.com/errata/RHSA-2019:3476

Comment 7 Product Security DevOps Team 2019-11-06 00:52:58 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-13345

Comment 8 errata-xmlrpc 2020-03-31 19:20:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1068 https://access.redhat.com/errata/RHSA-2020:1068


Note You need to log in before you can comment on or make changes to this bug.